<?php

/**
 * Convenios form base class.
 *
 * @package    form
 * @subpackage convenios
 * @version    SVN: $Id: sfPropelFormGeneratedTemplate.php 15484 2009-02-13 13:13:51Z fabien $
 */
class BaseConveniosForm extends BaseFormPropel
{
  public function setup()
  {
    $this->setWidgets(array(
      'nitocc' => new sfWidgetFormInputHidden(),
    ));

    $this->setValidators(array(
      'nitocc' => new sfValidatorPropelChoice(array('model' => 'Convenios', 'column' => 'nitocc', 'required' => false)),
    ));

    $this->widgetSchema->setNameFormat('convenios[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    parent::setup();
  }

  public function getModelName()
  {
    return 'Convenios';
  }


}
